Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 756829 (CVE-2020-29599) - <media-gfx/imagemagick-{6.9.11.41-r1,7.0.10.41-r1}: Shell injection via PDF passwords (CVE-2020-29599)
Summary: <media-gfx/imagemagick-{6.9.11.41-r1,7.0.10.41-r1}: Shell injection via PDF p...
Status: RESOLVED FIXED
Alias: CVE-2020-29599
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://insert-script.blogspot.com/20...
Whiteboard: B2 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-26 12:16 UTC by Hanno Böck
Modified: 2021-01-29 00:03 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hanno Böck gentoo-dev 2020-11-26 12:16:00 UTC
This sounds severe:
https://insert-script.blogspot.com/2020/11/imagemagick-shell-injection-via-pdf.html

According to the advisory Version 7.0.10-40 and 6.9.11-40 fix the issue. We have 7.0.10.41-r1, but not stabilized yet.
Comment 1 John Helmert III (ajak) gentoo-dev Security 2020-12-20 07:04:07 UTC
This is CVE-2020-29599. Just needs GLSA.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2021-01-29 00:03:53 UTC
This issue was resolved and addressed in
 GLSA 202101-36 at https://security.gentoo.org/glsa/202101-36
by GLSA coordinator Aaron Bauman (b-man).